starknet_getClassAt
curl --request POST \
--url https://starknet-mainnet.core.chainstack.com/365cf697a3ad6d950b4c4a911e2e4f4d \
--header 'Content-Type: application/json' \
--data '
{
"id": 1,
"jsonrpc": "2.0",
"method": "starknet_getClassAt",
"params": [
{
"block_number": 385940
},
"0x073314940630fd6dcda0d772d4c972c4e0a9946bef9dabf4ef84eda8ef542b82"
]
}
'import requests
url = "https://starknet-mainnet.core.chainstack.com/365cf697a3ad6d950b4c4a911e2e4f4d"
payload = {
"id": 1,
"jsonrpc": "2.0",
"method": "starknet_getClassAt",
"params": [{ "block_number": 385940 }, "0x073314940630fd6dcda0d772d4c972c4e0a9946bef9dabf4ef84eda8ef542b82"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 1,
jsonrpc: '2.0',
method: 'starknet_getClassAt',
params: [
{block_number: 385940},
'0x073314940630fd6dcda0d772d4c972c4e0a9946bef9dabf4ef84eda8ef542b82'
]
})
};
fetch('https://starknet-mainnet.core.chainstack.com/365cf697a3ad6d950b4c4a911e2e4f4d', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Starknet node API
starknet_getClassAt | Starknet
Starknet API method that returns the class of a contract at a given address. It provides the class of a contract at a specific address.
POST
/
365cf697a3ad6d950b4c4a911e2e4f4d
starknet_getClassAt
OpenRPC specFor the latest version of the publicly maintained OpenRPC spec, see the Starknet specs GitHub repo.
Get your own node endpoint todayStart for free and get your app to production levels immediately. No credit card required.You can sign up with your GitHub, X, Google, or Microsoft account.
Parameters
address— the string of the address of the contract.
Response
class— the class of the contract at the given address.
Use case
A practical use case forstarknet_getClassAt is to retrieve the class of a specific contract. For example, a wallet may use this method to display the class of a contract to a user, or a client may use it to verify the class of a contract before interacting with it.
Deprecated feeder gateway method
The feeder gateway was deprecated on December 11, 2023. Example of the call you had to make to the feeder gateway before the deprecation:Shell
curl 'https://alpha-mainnet.starknet.io/feeder_gateway/get_full_contract?contractAddress=0x073314940630fd6dcda0d772d4c972c4e0a9946bef9dabf4ef84eda8ef542b82'
Last modified on June 22, 2026
Was this page helpful?